Hello need help here


#1

I’ve been following the Odin project, trying to install gem but I keep getting an error. What should i do?

$ gem install -v5.2.4
ERROR: While executing gem … (Gem::CommandLineError)
Please specify at least one gem name (e.g. gem build GEMNAME)


#2

I’m confused. Where did you see to run that command? The only reference to gem I’ve seen is gem install rails -v 5.2.3 when you’re creating your first rails app. Did you succeed in getting Ruby installed before you moved on?


#3

yes, but not v2.6.5, it’s v2.3.7. I tried to continue but resulted in an error


#4

so you ran rbenv install 2.6.5 --verbose and got an error?

there seems to be some problems with it on macOS. You might look here https://github.com/rbenv/ruby-build/issues/1360